New: Stripe & TossPayments integration guides now available →
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "secret"
}
'{
"id": "<string>",
"name": "<string>",
"type": "secret",
"mode": "live",
"key_hint": "<string>",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>"
}The original key is returned only once in the response. After that, only the masked value is available.
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "secret"
}
'{
"id": "<string>",
"name": "<string>",
"type": "secret",
"mode": "live",
"key_hint": "<string>",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>"
}API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Created